From: [email-masked] (NA-NET)
Date: Sun, 10 Mar 91 12:06:27 -0500

NA Digest   Sunday, March 10, 1991   Volume 91 : Issue 10

Today's Editor: Cleve Moler

Today's Topics:

     Information About Finite Element Software
     Numerical Solution of Time Delayed Differential Equations
     Large Dimensional Dynamic Models
     SLICOT, Software Library for Control Theory
     IMACS International Symposium on Iterative Methods in Linear Algebra
     Multigrid Short Course

-------------------------------------------------------

From: Shirley Pomeranz <[email-masked]>
Date: Mon, 4 Mar 91 23:02:33 CST
Subject: Information About Finite Element Software

I would like to know of any current surveys or articles describing
finite element software packages that are available. Anything 
comparing different packages and discussing the particular field(s)
or engineering or mathematics discipline for which the software is intended
would be of interest to me.
Thank you for whatever information you can send my way.

Shirley Pomeranz
Assistant Professor
Mathematics
Department of Mathematical and Computer Sciences
The University of Tulsa

------------------------------

From: Russell Van Gelder <[email-masked] >
Date: 7 Mar 91 20:42:14 GMT
Subject: Numerical Solution of Time Delayed Differential Equations

I am trying to model an oscillatory biochemical process and I have run into 
difficulty due to time delays in the equations.  Does anyone know of any
public domain algorithms for numerically integrating first order differential
equations with retarded arguments?  The problem to be solved is an initial 
value problem.  An adaptation of fourth order Runge-Kutta would be especially
welcome - I have looked in most of the standard differential equation and 
numerical methods books, but to no avail.

Russell Van Gelder    [email-masked] 
Stanford Center for Molecular and Genetic Medicine - CMGM
Department of Biochemistry
Stanford University School of Medicine
Stanford, CA 94305
(415) 723-5871

------------------------------

From: A. Scottedward Hodel <[email-masked]>
Date: Fri, 8 Mar 91 13:17:20 CST
Subject: Large Dimensional Dynamic Models

I am working on algorithms for the solution of large-dimensional
Lyapunov and algebraic Riccati equations.   I have been testing
these algorithms on ``artificially'' constructed problems that meet 
certain requirements, but I would like to test them on large
order models of physical systems (typically large, flexible 
structures).

I am attempting to build a collection of large dimensional dynamic system
models of the form
   d/dt x = A x + B u
        y = C x
To date, the largest system I have been able to obtain is roughly 150th 
order; they are typically half that size and are already in modal (block 
diagonal) form.  If anyone has or is aware of system models of larger order, 
I'd very much like to obtain the system data.

Thanks!
Scotte

------------------------------

From: Paul Van Dooren <[email-masked]>
Date: Mon, 04 Mar 91 10:05:06 N
Subject: SLICOT, Software Library for Control Theory

           RELEASE OF THE NAG SLICOT LIBRARY

The Subroutine Library in COntrol Theory (SLICOT) is a collaborative
effort between the Numerical Algorithms Group (NAG) and the Benelux
Working Group on Software (WGS).

SLICOT is a library of FORTRAN 77 subroutines for control systems
analysis and design and consists of 68 user-callable routines
covering a wide range of applications areas within control theory.
Great care has been taken to build SLICOT on reliable and robust
algorithms. Wherever possible, numerical and statistical routines
from the NAG Fortran library are used. The SLICOT library can be run 
on any machine using a Fortran 77 compiler. Source text (including
example programs) is provided. The current NAG price lies around
500 UKPounds for academic institutes and 1000 UKPounds for indutry.

A short description of the contents of the library is given below :
Utility routines (2 routines):
  Printing real matrices and evaluating machine-dependent parameters
Mathematical routines (20 routines):
  Basic linear algebra operations, linear equations, (total) least
  squares, eigenanalysis, balancing, transformations to diagonal
  bidiagonal and Hessenberg forms, Choleski decomposition,
  matrix exponential
Transformation routines (18 routines):
  Transformations from state-space to various canonical forms, to
  transfer functions and polynomial matrix representation, from
  polynomial matrix form to transfer matrix and vice-versa,
  Markov parametrization from state-space and transfer matrix
Analysis routines (11 routines):
  Reduction to minimal state space models, continuous to discrete,
  interconnection of subsystems, dual forms, invariant zeros,
  Hankel and Toeplitz expansion of multivariable sequences,
  deadbeat control 
Synthesis routines (9 routines):
  Pole placement, algebraic Riccati equations, Lyapunov and
  Sylvester equations, realisation methods, optimal control and
  spectral factorization
Data Analysis (4 routines):
  Convolution and deconvolution, forward and inverse Fourier
  transform, anti-aliasing windowing
Filtering (4 routines):
  Kalman filtering in different square root implementations

SLICOT is also a continuing effort. The WGS is responsible for 
following the evolution of numerical algorithms in the area and
tries to complete the library in this respect (possibly by 
inviting experts to contribute their software to the library).
A 2nd release is currently being produced and will contain 
up to 20 new routines. In the future we also hope to be able 
to include a chapter of nonlinear methods and adaptive control.

To obtain more information about SLICOT please reply to one of 
the following addresses :

NAG c/o A. Brown             WGS c/o R. Kool
Wilkinson House              Eindhoven University of Technology
Jordan Hill Road             Dept. Math. & Comp. Sc., DG 1.08
OXFORD                       P.O. Box 513
OX2 8DR                      NL-5600 MB Eindhoven
United Kingdom               The Netherlands

Tel: +44 865 511245          Tel: +31 40 472374
Fax: +44 865 310139          Fax: +31 40 442150
[email-masked]      WSCOLB@HEITUE5 (on BITNET)

------------------------------

From: Pieter de Groen <[email-masked]>
Date: Tue, 5 Mar 91 14:07:10 +0100
Subject: IMACS International Symposium on Iterative Methods in Linear Algebra
   
IMACS International Symposium on Iterative Methods in Linear Algebra.
Brussels Free Universities (ULB & VUB), April 2nd - 4th, 1991.
Aula VUB, Building Q, Pleinlaan 2 (Av. de la Plaine), B-1050 Brussels.
 
SCOPE: 
  The purpose of the symposium is to provide a forum for the
  presentation and the discussion of recent advances in the analysis 
  and implementation of iterative methods for solving large linear 
  sytems of equations and for determining eigenvalues, eigenvectors 
  or singular values of large matrices.
 
TOPICS: 
  Matrix analysis: convergence acceleration - preconditioning - 
                   methods for nonsymmetric, singular and 
                   overdetermined systems - sparse eigenvalue problems
  Boundary value problems: 
            multigrid methods - domain decomposition - spectral methods
  Implementation techniques: on vector processors - on multiprocessors -
                             on massively parallel systems
  Software developments: for sparse linear systems - for sparse 
                         eigenproblems 
  Mathematical applications: partial differential equations - systems 
                             theory - least squares problems
  
INVITED SPEAKERS:
   
   A. van der Sluis
   O. Axelsson
   A. Yeremin
   H. van der Vorst
   D. Kincaid 
   E. Wachspress
   F. Chatelin
 
SPECIAL SESSIONS (30 papers)   
   Coupled inner outer iteration methods, organized by O. Axelsson
   Numerical methods for the analysis of Markov models,
                organized by P. Courtois & G. Latouche.
   Iterative solution of unsymmetric systems, organized by H. van der Vorst.
   Spectral methods, organized by M. Deville & E. Mund.
   The Lyapunov equation, organized by E. Wachspress.
   Parallel and vector iterative methods, organized by D. Kincaid & C. Wu.
   Complex variable methods for solving non-positive definite linear systems,
                organized by M. Eiermann & W. Niethammer.
  
Sessions of Contributed Papers (45 papers)
   Basic iterative methods
   Eigenvalue Problems
   Least squares and linear complementary problems
   Methods for nonsymmetric systems
   Mixed Hybrid Methods
   Semiconductor device equations
   Preconditioned conjugate gradients
   Software Developments
   Monte Carlo Methods.
 
The symposium is sponsored by the Belgian Fund for Scientific Research,
 IBM and Honeywell.
The reception in the Brussels Town Hall is made possible by the 
 kind cooperation of the Brussels Mayor and Alderman.
 
The organising committee, Robert Beauwens and Pieter de Groen.

------------------------------

From: Gaoming Yang <[email-masked]>
Date: Tue, 5 Mar 91 13:47:22 -0700
Subject: Multigrid Short Course

                     MULTIGRID SHORT COURSE
                     Information & Schedule
 
                University of Colorado at Denver
                         March 25-29, 1991
 
Principal Lecturer:    Achi Brandt
 
Supporting Lecturers:    John Adams, William Briggs, Chaoqun Liu,
                         Steve McCormick, John Ruge
Short Course Chairman:    Chaoqun Liu
 
Purpose: To provide an understanding of the principles and
          procedures for multilevel methods, especially for partial
          differential equations, including new multilevel approaches
          in computational fluid dynamics.
 
Registration Fee:   $500 (regular), $150 (student). Includes books
                    and other course materials, refreshments, and
                    computer lab access.
 
Topics:  
          . Basic tutorial
          . Advanced methods for PDE's (including
            multigrid procedures for general systems, nonlinearity,
            ellipticity/nonellipticity, time dependence, inverse
            problems, indefiniteness, discontinuities, singularities,
            performance prediction/analysis, constrained optimization)
          . Adaptive techniques (MLAT, FAC)
          . Algebraic multigrid methods (AMG)
          . Computational fluid dynamics (including finite volume element
            methods, high Reynolds number flow, steady and unsteady
            Navier-Stokes equations, Steady and unsteady Euler equations,
            flow transition, and two-phase porous flow)
          . Introduction to non-PDE multilevel techniques (including
            integral and integro-differential equations, fast
            dense matrix multiplication, many-body interactions,
            direct solvers, large determinants, global discrete
            highly-nonlinear optimization, and multilevel Monte Carlo
            method in statistical physics).
 
For Further Information, Please Contact:

                          Chaoqun Liu
                 Computational Mathematics Group
                University of Colorado at Denver
               1200 Larimer Street, Campus Box 170
           Telephone: (303) 556-4807 or (303) 556-4886
               (e-mail:  [email-masked])
               (e-mail:  [email-masked])

------------------------------

End of NA Digest
**************************
-------